import { Meta, Story, Canvas } from '@storybook/addon-docs';
import { Button } from 'react-bootstrap';
import AlertModal from './AlertModal';

<Meta
	title='AlertModal'
	component={AlertModal}
	args={{
		header: 'Oops! Something went wrong!',
		body: 'This issue has been automatically reported to our team!',
		variant: 'error',
	}}
/>

<Canvas>
	<Story name='Basic'>
		{props => {
			const [show, setShow] = React.useState(true);
			const handleClose = React.useCallback(() => {
				setShow(false);
			}, []);
			const handleOpen = React.useCallback(() => {
				setShow(true);
			}, []);
			return (
				<>
					{!show && <Button onClick={handleOpen}>Show modal</Button>}
					<AlertModal {...props} show={show} footer={<Button onClick={handleClose}>Close</Button>} />
				</>
			);
		}}
	</Story>
</Canvas>
